GET Loyalty program
Get Loyalty program test
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringAuthorizationrequired
Authorization header
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Responses
- application/json
Request Example for get/dlc-service/loyalty-program
curl https://api-public-demo.menu.app/api/dlc-service/loyalty-program \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: ' \
--header 'X-QB-Enabled: true'
{
"status": "OK",
"code": 200,
"data": {
"loyalty_program": {
"point_name": "",
"program_type": "none",
"description": "",
"faq_link": "",
"tos_link": "",
"card_code_type": "",
"scanner_code_type": "",
"points_conversion_threshold": 0,
"currency_earned": 0,
"channels": [
{
"type_id": 3,
"reference_type": "DiscountMobileChannel"
}
],
"venue_ids": [
"b8c2d108-3f22-11ed-936c-1a67b454859d"
],
"show_reward_tiers": false,
"reward_tiers": []
}
}
}